### Method

# Gtk Window get_focus

#### Declaration [src]

    GtkWidget*
    gtk_window_get_focus (
      GtkWindow* window
    )

#### Description [src]

Retrieves the current focused widget within the window.

Note that this is the widget that would have the focus if the toplevel window focused; if the toplevel window is not focused then `gtk_widget_has_focus (widget)` will not be `TRUE` for the widget.

Gets property | `Gtk.Window:focus-widget`

#### Return value

Type: `GtkWidget`

The currently focused widget.

The returned data is owned by the instance.
The return value can be `NULL`.